# 简介
此 mod 作用为帮助太吾传人管理太吾村，目前实现的功能有：

- 收获太吾村的产出
- 在过月事件列表中展示统计信息
- 资源量未达到预期时自行购入
- 资源不足时进行提醒
- 自动指派建筑工作人员

后续还将继续加强自动指派建筑工作人员的功能、提出改善经营状况的建议等功能。  


# 功能说明
## 收获太吾村的产出
- 在过月时自动进行产出品（资源、物品、村民）的收获。
- 可配置不自动收获物品、不自动接纳新村民。
- 可配置过滤指定立场的村民、资质小于指定值的村民。

## 在过月事件列表中展示统计数据
目前展示的统计信息有：

- 上月自动收获统计
- 上月资源购买情况
- 资源严重不足提醒

## 资源量未达到预期时自行购入
- 主界面的资源栏上，当前资源的下方，会显示灰色的资源期望保有量。当资源低于期望值时，管家会尝试自行购买资源。  
- 在资源栏上点击左键会增加资源期望保有量，点击右键会减少资源期望保有量，可按住鼠标左/右键快速调整该值。  
- 当鼠标移动到屏幕顶部时，才会显示资源期望保有量。  
- 如果当前银钱高于配置项“银钱最低保有量”以及“资源保有量警戒值”，则过月时会用多出的银钱按照期望值购买资源。每月商队类型、商品出售量和主角待在太吾村时每月碰到的行商保持一致（即有可能某些月份没有资源包出售）。  

## 资源不足时进行提醒
- 配置项：资源保有量警戒值（为每月资源消耗量的倍数），如果当前资源低于警戒值，则管家会在过月事件中进行提醒（银钱也是资源的一种）。  

## 自动指派建筑工作人员
开启此功能后，每月初会自动对所有建筑指派工作人员。  
由于建筑工作进度会在月末增加，所以玩家可以在自动指派的结果生效之前，随意进行更改。  
自动指派逻辑为，首先把各个需要工作人员的建筑按照优先级排序，然后按优先级从村民中选取分配工作人员。  
目前建筑优先级别固定为：厢房 > 病坊、密医 > 收获人才建筑 > 收获资源建筑 > 收获物品建筑 > 收获蛐蛐建筑。相同优先级别的建筑，工作难度高的优先级别更高。  
从村民中选取工作人员时，对应工作效率越高，越优先选取。对于厢房，选取条件为人物心情好感与标准值（目前标准固定为好感喜爱、心情欢喜）的差距，差距越大越优先选取。  

后续将继续完善的功能：

- 为厢房指派人员时，排除资质太差的候选人
- 分配时考虑厢房对工作效率的加成效果
- 自动指派遇到瓶颈时，给出建筑建造及人员招募方面的建议
- 用户可配置建筑排除列表，对列表内的建筑不分配工作人员
- 用户可配置建筑指派优先级


# 注意事项
在安装 0.9.2 版的时候，必须先卸载之前的版本再安装，否则新旧版本的文件混合，就会导致在读档界面卡死，或者游戏原本的图标被替换的问题。  
如果想手动确认旧版是否已卸载，可以看游戏根目录的 Mods 目录下，是否有 Majordomo 文件夹，没有就是卸载了。  


# 历史
## 0.9.2
- 修复：修改过月事件图标编号，以回避与新版本图标的冲突。

## 0.9.1
- 修复：自动指派建筑工作人员时，把未成年及队伍中的村民也算进去了。

## 0.9.0
- 增加功能：自动指派建筑工作人员。

## 0.8.0
- 添加配置项：过滤指定立场的村民、资质小于指定值的村民。

## 0.7.0
- 添加配置项：接纳新村民时显示人物窗口。

## 0.6.0
- 调整功能: 管家购买资源的频率从三个月一次改为每个月一次，每月商队类型、商品出售量和主角待在太吾村时每月碰到的行商保持一致（即有可能某些月份没有资源包出售）。  
- 增加功能: 如果同时安装了“提升商人的商品数量” mod，则会同时提升管家可购买的资源数量。  

## 0.5.0
- 增加功能：资源量未达到预期时自行购入。
- 增加功能：资源不足时进行提醒。

## 0.0.2
- 可选择不自动收获物品（也同时不显示在统计中）。
- 更改月初事件图标。
- 依赖 BaseResourceMod v1.0.7。

## 0.0.1
- 自动收获太吾村的产出。
- 在月初事件列表中展示当月收获统计。
- 可选择不自动接纳新村民（也同时不显示在统计中）。
- 依赖 BaseResourceMod v1.0.6。


# 特别感谢
- jmswzyk: 游戏逻辑分析。
- somontano: 新功能代码提交。
